AuthInfo (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sasl.AuthInfo,AuthInfo class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl
Class AuthInfo

    java.lang.Object
      |
      +--gnu.crypto.sasl.AuthInfo

public class AuthInfo
extends java.lang.Object

A static class for creating `IAuthInfoProvider` providers. It transparently locates and uses any provider instances, based on the value assigned to the System property with the key `gnu.crypto.sasl.auth.info.provider.pkgs`. If more than one is specified they SHOULD be separated with a vertical bar character. Please note that the GNU provider is always added last to the list, disregarding whether it was mentioned or not in the value of that property, or if it that property was not defined.

Method Summary
`static IAuthInfoProvider` | `getProvider(java.lang.String mechanism)` A convenience method to return the authentication information provider for a designated SASL mechnanism.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProvider

    public static IAuthInfoProvider getProvider(java.lang.String mechanism)

  A convenience method to return the authentication information provider for a designated SASL mechnanism. It goes through all the installed provider factories, one at a time, and attempts to return a new instance of the provider for the designated mechanism. It stops at the first factory returning a non-null provider.

  Parameters:
    `mechanism` - the name of a SASL mechanism.
  Returns:
    an implementation that provides `IAuthInfoProvider` for that mechanism; or `null` if none found.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.